﻿
// Button2Dlg.h : ヘッダー ファイル
//

#pragma once

#include "CyAPI.h"

typedef struct _ButtonInt {
	CCyUSBEndPoint* IntEndpt;
	HWND			hWnd;
	UINT			uIDMessage;
	UINT			cancel;
	BOOL			bRunning;
} ButtonInt;

#define UWM_BUTTONINT	WM_USER+500

// CButton2Dlg ダイアログ
class CButton2Dlg : public CDialogEx
{
// コンストラクション
public:
	CButton2Dlg(CWnd* pParent = nullptr);	// 標準コンストラクター
	virtual ~CButton2Dlg();

// ダイアログ データ
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_BUTTON2_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV サポート


// 実装
protected:
	HICON m_hIcon;

	ButtonInt	m_BI;
	CString m_strDeviceName;
	CCyUSBDevice* USBDevice;
	CCyUSBEndPoint* OutEndpt;
	UCHAR OutBuff;

	// 生成された、メッセージ割り当て関数
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBnClickedResetButton();
	afx_msg void OnBnClickedCancel();
	afx_msg void OnBnClickedOk();
	afx_msg LRESULT OnButtonInt(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
};
