﻿
// ButtonDlg.h : ヘッダー ファイル
//

#pragma once
#include "CyAPI.h"

// CButtonDlg ダイアログ
class CButtonDlg : public CDialogEx
{
// コンストラクション
public:
	CButtonDlg(CWnd* pParent = nullptr);	// 標準コンストラクター
	virtual ~CButtonDlg();

// ダイアログ データ
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_BUTTON_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV サポート


// 実装
protected:
	HICON m_hIcon;

	CCyUSBDevice* USBDevice;
	CCyUSBEndPoint* OutEndpt;
	CCyUSBEndPoint* InEndpt;
	UCHAR InBuff[10], OutBuff[10];
	CString m_strDeviceName;
	UINT_PTR m_uEvent;

	void SetDirection(BYTE pa, BYTE pb, BYTE pd);
	void ButtonReset();

	// 生成された、メッセージ割り当て関数
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedResetButton();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
};
